"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HlpProduct {
    constructor() {
        this.stock = (product, param) => {
            const salable = (+product.stock.sumIns || 0) - (+product.stock.sumOuts || 0);
            const packs = Math.trunc(salable / product.stock.qtityPerPackaging || 0);
            const units = salable % product.stock.qtityPerPackaging || 0;
            switch (param) {
                case "salable":
                    return salable;
                case "packs":
                    return packs;
                case "units":
                    return units;
                default:
                    return salable;
            }
        };
        this.extraFiilters = (row) => row.designation; /* +
          row.codeCompta +
          (row.tva > 0 ? "@tva" : "") +
          (row.isAvailable ? "@dispo" : "") +
          (!row.isAvailable ? "@indispo" : "") +
          (row.isActive ? "@actif" : "") +
          (!row.isActive ? "@inactif" : "") +
          (row.isPrivate ? "@private" : "") +
          (!row.isPrivate ? "@noprivate" : ""); */
    }
    qtityInAllDepots(stock, prms) {
        const ins = stock.sumIns - stock.sumOuts;
        return ins <= 0 ? 0 : ins;
    }
    getStockSalable(product) {
        const stockAllSalable = +this.qtityInAllDepots(product.stock);
        const stockProduct = Math.trunc(stockAllSalable / product.qtityUnit);
        /*  let stockSalable: number = 0;
    
        if (stockAllSalable <= stockStore) {
          stockSalable = stockAllSalable;
        }
        if (stockAllSalable > stockStore) {
          stockSalable = stockStore;
        } */
        // return stockSalable || 0;
        return stockProduct || 0;
    }
}
exports.default = new HlpProduct();
