import EInOutMotive from "asv-hlps/lib/cjs/shared/models/EInOutMotive";
import Product from "./Product";
import ProductDepot from "./ProductDepot";
export default interface ProductIn {
    id: number;
    createdAt: Date;
    lot: string;
    qtity: number;
    comment: string;
    isEdit: boolean;
    motive: EInOutMotive;
    authorId: number;
    qtityPerPackaging: number;
    /**
     * remaining qtity
     */
    qtityIn: number;
    isOutDate: boolean;
    /**
     * expired
     */
    isOut: boolean;
    /**
     * if true the productIn is created from transfering qtity from another productin
     */
    fromTransfert: boolean;
    /**
     * indique the qtity waiting to transfert after transfert validation
     */
    qtityInTransfert: number;
    /**
     * is true if the transfert not validate
     */
    inTransfert: boolean;
    depotId: number;
    productId: number;
    designation: string;
    salePrice: number;
    publicPrice: number;
    product: Product;
    depot: ProductDepot;
}
