import { Bank, BankAccount, PaymentMode } from "asv-hlps/lib/cjs/cashs";
import User from "../../users/models/User";
import Sale from "./Sale";
export default interface SalePayment {
    id: number;
    ref: string;
    createdAt: Date;
    paymentDate: Date;
    prevAmount: number;
    paidAmount: number;
    cashReceived: number;
    cashReturned: number;
    restAmount: number;
    checkNumber: string;
    checkDate: string;
    sale: Sale;
    encoder: User;
    account: BankAccount;
    bank: Bank;
    mode: PaymentMode;
}
