import { Market } from "../../models/Market";
import { Shop } from "../../shops/models/Shop";
import ProductCat from "./ProductCat";
import ProductImage from "./ProductImage";
import ProductIn from "./ProductIn";
interface Stock {
    sumIns: number;
    sumOuts: number;
    qtityPerPackaging: number;
}
export default interface Product {
    capacity: string;
    cat: ProductCat;
    createdAt: Date;
    description: string;
    designation: string;
    disabled?: boolean;
    iconName: string;
    iconPack: string;
    id: number;
    images: ProductImage[];
    ins: ProductIn[];
    isActive: boolean;
    isAvailable?: boolean;
    isBulk: boolean;
    market: Market;
    price: number;
    publicPrice: number;
    qtityLimit: number;
    qtityUnit: number;
    stock: Stock;
    qtityPerBox: number;
    qtityPerPackaging: number;
    ref: string;
    salePrice: number;
    shop: Shop;
    updatedAt: Date;
    specialPrice?: number;
}
export {};
